Page MenuHomePhabricator

[PowerPC] Implement the 128-bit vec_[all|any]_[eq | ne | lt | gt | le | ge] builtins in Clang/LLVM
ClosedPublic

Authored by amyk on Sep 18 2020, 8:53 AM.

Details

Summary

This patch implements the vec_[all|any]_[eq | ne | lt | gt | le | ge] builtins for vector signed/unsigned __int128.

Depends on D87804

Diff Detail

Event Timeline

amyk created this revision.Sep 18 2020, 8:53 AM
amyk requested review of this revision.Sep 18 2020, 8:53 AM
amyk updated this revision to Diff 293161.Sep 21 2020, 7:13 AM

Updated identation/formatting of code in CGExprScalar.cpp and altivec.h.

Conanap accepted this revision.Sep 21 2020, 2:56 PM

lgtm

This revision is now accepted and ready to land.Sep 21 2020, 2:56 PM
This revision was landed with ongoing or failed builds.Sep 23 2020, 1:50 PM
This revision was automatically updated to reflect the committed changes.